Subject: bug#25593: Feature request: xref-find-definitions in current file

From: Joel Ekström <[email-masked]>
Date: Tue, 31 Jan 2017 22:43:34 +0100

Hi! In certain programming environments (especially object/protocol
 oriented ones), it is very common that the same function exists in many
 files.

 I often find myself needing to jump to a definition I know is in the
 file I'm currently working on. xref-find-definitions can make this hard
 if there are many candidates.

 What I would like is to be able to filter xref-find-definitions to only
 show definitions in the currently open buffer. Sort of like what
 list-tags does already, but without having to specify the file and
 switch to another buffer.

 Thanks!

Date: Tue, 31 Jan 2017 22:40:34 +0100
Message-ID: <m2wpdagb71.fsf@[email-masked]>